Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 18 Dec 2017, 09:12
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Need p7zip-full for Fatdog
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [16 Posts]   Goto page: 1, 2 Next
Author Message
PappyPuppy

Joined: 30 Sep 2016
Posts: 237

PostPosted: Wed 10 May 2017, 10:55    Post subject:  Need p7zip-full for Fatdog  

I used Qt5.6.2 to develop apps, but for me to compile the full p7zip without trying to link in someone's libraries, I would need to install an earlier version of Qt, namely Qt4. Even that is troublesome although I will eventually have it. I had not problems with Qt5.6.2 except that it does not produce ui_unetbootin.h when I run lupdate or at least when /configure is run.

So I'm in a pinch since unetbootin is telling me that I need p7zip.

Just curious if anyone can understand my plight or can figure it out somehow.

Thanks.

PS I need a 7zip, that's all. I know the Fatdog archivers are great tools but I'm not sure I can get them to properly do an unzip of 7zip. Perhaps they can - so far, they unzip it but it's wrong. Flags or something maybe?
COmmand line? I don't know yet.
Back to top
View user's profile Send private message 
Terry H

Joined: 29 Mar 2009
Posts: 321
Location: The Heart of Muskoka, ON Canada

PostPosted: Wed 10 May 2017, 11:33    Post subject:  

Pappypuppy, This thread is created in the wrong section, please read belham2's post in your other thread:

http://murga-linux.com/puppy/viewtopic.php?p=954230#954230

You are creating threads in incorrect sections. If a post is about a specific puppy or derivative, use its thread to ask the developer, or post bugs in existing bug threads. If you have other questions, you should be using the Users or Beginners sections, or other specific existing Forum sections to create threads.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1499
Location: Italy

PostPosted: Wed 10 May 2017, 12:27    Post subject:  

Try to convert in txz format the following package:

http://distro.ibiblio.org/puppylinux/pet_packages-slacko6414.2/p7zip-9.20.1-x86_64.pet

It works for my unetbootin in fatdog64-710.
Back to top
View user's profile Send private message 
PappyPuppy

Joined: 30 Sep 2016
Posts: 237

PostPosted: Wed 10 May 2017, 12:42    Post subject: Sorry about my bad post - wrong section. I normally get
Subject description: that right. I'm slipping!
 

Wow, I will defintitely try to unzip that file and do what I should do, thank you.
Back to top
View user's profile Send private message 
PappyPuppy

Joined: 30 Sep 2016
Posts: 237

PostPosted: Wed 10 May 2017, 12:52    Post subject: I'm pretty sure by convert you just mean to unzip?
Subject description: Fatdog automatically unzippedf it for me
 

I now have a libexec dir with some executables. I would guess I"m ok now?

I mean I don't really need to do anything - I can use it now?

I'll test it out.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1499
Location: Italy

PostPosted: Wed 10 May 2017, 12:56    Post subject:  

Right-click the pet package and choose "Convert to new package format".
Back to top
View user's profile Send private message 
PappyPuppy

Joined: 30 Sep 2016
Posts: 237

PostPosted: Wed 10 May 2017, 13:01    Post subject: I've now added your 7zip to my path
Subject description: and the command ./unetbootin-linux64-647.bin finds it
 

Th

only problem now is that it "Cannot load library icui18n"

I've no clue that that is! Any ideas appreciated.

ALso watchdog, do you know which distribution I should choose in the dialog it's asking for Select Distr. Select Version,e tc..
Back to top
View user's profile Send private message 
SFR


Joined: 26 Oct 2011
Posts: 1647

PostPosted: Wed 10 May 2017, 13:08    Post subject:  

PappyPuppy wrote:
Need p7zip-full for Fatdog

Did you check the repo? The latest version 16.02 is available there.
(direct link)

Greetings!

_________________
[O]bdurate [R]ules [D]estroy [E]nthusiastic [R]ebels => [C]reative [H]umans [A]lways [O]pen [S]ource
Omnia mea mecum porto.
Back to top
View user's profile Send private message 
PappyPuppy

Joined: 30 Sep 2016
Posts: 237

PostPosted: Wed 10 May 2017, 13:30    Post subject: I'm not having a problem with 7zip that I can tell
Subject description: I can try the newer version but it's just icui... that I need
 

Is that icu.. thingie related to 7 zip either directly or indirectly?

I don't know.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1499
Location: Italy

PostPosted: Wed 10 May 2017, 13:33    Post subject: Re: I've now added your 7zip to my path
Subject description: and the command ./unetbootin-linux64-647.bin finds it
 

PappyPuppy wrote:
Th

only problem now is that it "Cannot load library icui18n"

I've no clue that that is! Any ideas appreciated.

ALso watchdog, do you know which distribution I should choose in the dialog it's asking for Select Distr. Select Version,e tc..


You should pay more attention to the netiquette of this forum before posting: Subject and Body of the message in the right section or you risk to be banned by an angry moderator Rolling Eyes I also have the "libicui18n" error with latest unetbootin and I have solved using a previous version ( the 613 version). I have observed that the missing libicui18n come with the palemoon folder (if you use palemoon browser) so I wonder if symlinking it in /usr/lib or /usr/lib64 could solve the problem with latest unetbootin. I'm lazy and I have not tried this. I also observed that patched unetbootin extracted from the packages in ubuntu's repositories (xenial ubuntu for example) betterly work... But I'm lazy and I have not experimented more.

EDIT: I have not the warning about icui18n launching later versions of unetbootin extracted from the deb packages at:

https://launchpad.net/~gezakovacs/+archive/ubuntu/ppa

Last edited by watchdog on Sat 13 May 2017, 12:03; edited 2 times in total
Back to top
View user's profile Send private message 
PappyPuppy

Joined: 30 Sep 2016
Posts: 237

PostPosted: Wed 10 May 2017, 13:34    Post subject: I need to install some package.  

I don't yet know which one.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1499
Location: Italy

PostPosted: Wed 10 May 2017, 13:39    Post subject:  

The official repository has the preference. SFR is a developer of fatdog64. You can trust him.
Back to top
View user's profile Send private message 
PappyPuppy

Joined: 30 Sep 2016
Posts: 237

PostPosted: Wed 10 May 2017, 14:07    Post subject: Where to find version 6.13?
Subject description: I am doing this on Linux
 

Isn't Palemoon browser for Windows - I'm doing this on LInux.

I have the icui18n problem even on machines with Qt installed. I haven't yet installed it on my laptop which is where I intend to use unetbootin.

I am willing to try version 6.13 if I can find it. And I am also willing to keep running version 6,47 and simply find a package that has icui18n.
I'll do it either way but so far I've got neither.
Back to top
View user's profile Send private message 
PappyPuppy

Joined: 30 Sep 2016
Posts: 237

PostPosted: Wed 10 May 2017, 14:19    Post subject: I think I've found it at a site!  

versio 6.13
Back to top
View user's profile Send private message 
PappyPuppy

Joined: 30 Sep 2016
Posts: 237

PostPosted: Wed 10 May 2017, 14:36    Post subject: My new run is of version 6.13.bin from SouirceForge
Subject description: I have a question
 

Should I choose Puppy LInux as my distribution?

SOoryy, I forgot to say that it is no longer complaining aobut icui18n or any other complaints so the problem is more or less gone at least so far.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [16 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0440s ][ Queries: 13 (0.0039s) ][ GZIP on ]